LSRTUNNEL(1)

NAME
lsrtunnel - loose source route tunneling tool

SYNOPSIS
lsrtunnel -i <silentIP> -t <targetIP> -f <spoofedIP>

DESCRIPTION
lsrtunnel will spoof connections using the loose source route IP option. It sets up a pseudo-tunnel between the client address and the remote IP address, using a silent IP address that the client can sniff on as a middleman. Lsrtunnel must be run as root.

OPTIONS

-i <silentIP>
    Set the silentIP. This IP address must be something that gets routed to your subnet, but lsrtunnel will arp for it.

-t <targetIP>
    Set the target IP. This is the remote machine that you will be targeting. If it does not reverse source routed packets, lsrtunnel will not work.

-f <spoofedIP>
    The IP address that lsrtunnel will pretend to be.

EXAMPLES
If your IP address is 10.1.2.3, and you want to surf your buddy's site
    at 172.128.1.2, and show up in his access logs as 198.81.129.100, first, you would need to pick an unused IP address on your subnet. We'll use 10.1.2.4 in this example. Run lsrtunnel with the following command:

lsrtunnel -i 10.1.2.4 -t 172.128.1.2 -f 198.81.129.100
    Then, point your web browser at 10.1.2.4. Any packet addressed to that box from your IP will be repackaged as a packet from 198.81.129.100, source routed through 10.1.2.4, destined for 172.128.1.2. Packets from 172.128.1.2, destined for 198.81.129.100, source routed through 10.1.2.4 will be repackaged as a packet from 10.1.2.4 to 10.1.2.3. So you can use any client to access your buddy's site, and freak him out.

SEE ALSO
pcap(3) dnet(3)

AUTHORS
Todd MacDermid <tmacd@synacklabs.net>